#ifdef __cplusplus
extern "C" void dsytrd_(
	const char &uplo,		// (input)
	const int &n,			// (input)
	double *a,			// a[n][lda] (input/output)
	const int &lda,			// (input)
	double *d,			// d[n] (output)
	double *e,			// e[n-1] (output)
	double *tau,			// tau[n-1] (output)
	double *work,			// work[lwork] (workspace/output)
	const int &lwork,		// (input)
	int &info			// (output)
	);
#else /* ! __cplusplus */
void dsytrd_(
	const char *uplo,		/* (input) */
	const int *n,			/* (input) */
	double *a,			/* a[n][lda] (input/output) */
	const int *lda,			/* (input) */
	double *d,			/* d[n] (output) */
	double *e,			/* e[n-1] (output) */
	double *tau,			/* tau[n-1] (output) */
	double *work,			/* work[lwork] (workspace/output) */
	const int *lwork,		/* (input) */
	int *info			/* (output) */
	);
#endif /* ! __cplusplus */

